- Passthrough Headers
- Generate signature
- Account Trade Auth
- Accounts
- Whale Record Agreement(同步签署协议状态)POST
- Get Account Trade Permission(获取账户交易权限)GET
- Update Account Trade Permission(更新账户权限)POST
- Retrieve Account Application Information(获取证券账户开户资料信息)GET
- Get Account List(获取用户账户列表)GET
- Get Account Request List(获取用户开户申请列表)GET
- Get Account Contact Info(获取账户联系方式)GET
- Get Account Status(获取账户状态)POST
- Get Account Bcan Information(获取账户 Bcan 信息)GET
- Query Account List V2(获取账户列表V2)GET
- Update Application(修改开户资料)POST
- Update Account State/Disable Account(修改账户状态 / 冻结账户)POST
- Submit Application V2(提交开户申请资料 V2)POST
- Update Application V2(修改开户资料 V2)POST
- Close Account(注销账户)POST
- Open additional account(增开账户)POST
- get account opening application information (开户申请信息获取)POST
- Query Account Risk And Pi Info(获取用户风险测评以及Pi信息)GET
- Asset
- Query Total Holdings(查询全量股票持仓)GET
- Query Account Cash Balance(账户现金查询)GET
- Query Total Cash(查询全量现金)GET
- Query Account Position(账户持仓查询)GET
- Account Cash Balance Adjustment(账户资金调账)POST
- Account Position Adjustment(账户持仓调账,只支持股票)POST
- Account Cash Balance Freeze(账户资金冻结)POST
- Account Cash Balance Unfreeze(账户资金解冻)POST
- Account Cash Balance Unfreeze Debit(账户资金解冻扣款)POST
- Account Stock Transaction History(账户股票流水)POST
- Account Cash Transaction History(账户资金流水)POST
- Account Stock Freeze Transaction History(账户股票冻结流水)GET
- Account Cash Freeze Transaction History(账户资金冻结流水)GET
- Query Limited Amount Information(限额信息查询)GET
- Query Buy Power(购买力查询)GET
- Query Short Sellable Quantity(可卖空数量查询)GET
- Query OB Account Cash Balance(账户现金详情查询)【定制非通用】POST
- Query Account Total Asset(账户资产查询)POST
- Query account risk limit config(查询用户限额信息)GET
- Query Account Total Asset OverView(账户资产总览)GET
- Query HashKey Cash List(查询hashkey的现金列表)GET
- Create account risk limit config(创建用户限额信息)POST
- Update account risk limit config(更新用户限额信息)POST
- Temp Adjust 临时调账新增POST
- Temp Adjust Expire 临时调账手动失效POST
- Get All Users Cash Balance (获取所有用户现金信息)GET
- Temporary Adjustment(临时调账)POST
- Billing
- Cash And Stocks Transfer
- Add Bank Card
- Delete Bank Card
- Region Bank
- Get User Bank Card List
- User Card Detail
- Deposit Detail
- Submit Deposit Application
- Deposit Application List
- Update Bank Card
- Obtain the deposit information
- Withdraw Records
- Withdraw Detail
- Cancel Withdraw Application
- Get Exchange
- Cancel Deposit
- Submit Withdrawal Applylication
- Information acquisition before withdrawal v3 (提现前信息获取V3)
- Update Bank Card
- Submit Files For Review Withdraw Card
- Currency List
- Exchange records(兑换记录)
- Stock transfer out detail (查看转出详情)
- Stock transfer out records (查询转出记录)
- Transfer in detail (查看转入详情)
- Transfer in records (查询转入记录)
- File
- IPO
- Member Core
- Trade
- Trade Websocket Notification
- Historical Trade Detail Inquiry V2(历史成交明细查询V2)
- Trade Detail Inquiry V3(成交明细查询V3)
- Withdraw User Orders (批量撤销用户订单)
- Historical Order Inquiry (历史订单查询)
- Place Order (委 托下单)
- Modify Order (修改订单)
- Withdraw Order (撤销订单)
- Order Details (订单详情)
- Today's Order Inquiry (当日订单查询)
- Estimated Maximum Purchase Quantity (预估最大购买数量)
- Today's Trade Detail Inquiry (当日成交明细查询)
- Historical Trade Detail Inquiry (历史成交明细查询)
- Message
- Search
- Reward Center
- OpenAPI
Global Push Templates(全局推送模板)
GET
/v1/whaleapi/message/whale/global/push/templates
2 - 资金变动(Asset Movement)
6 - 交易变动(Order Status)
7 - 运营活动(Activity Related)
8 - 平台公告(Announcement)
9 - 账户消息(Account Message)
10 - 股价提醒(Price Movement)
11 - 新股消息(IPO News)
12 - 社区消息(Community)
15 - 学堂(College)
16 - 我的资讯(My News)
17 - 今日看点(Today's Highlights)
30 - 持仓日报(Holdings Daily)
31 - 行情数据(Market Data)
32 - 期权异动(Option Fluctuation)
33 - 系统消息(System Message)
34 - 海豚观点(Dolphin Views)
36 - 股票定投(Recurring investments)
Request
Authorization
Query Params
page
integer
optional
Example:
1
page_size
integer
optional
Example:
10
Responses
🟢200Success
application/json
Body
code
string
required
message
string
required
data
object
required
total
integer
required
templates
array [object {5}]
required
Example
{
"code": "string",
"message": "string",
"data": {
"total": 0,
"templates": [
{
"key": "string",
"name": "string",
"channel": "string",
"group_id": 0,
"locales": [
{
"language": "string",
"title": "string",
"body": "string",
"configs": {
"push_config": {
"cover": "string",
"link": "string",
"json": "string",
"push_device_types": [
"string"
]
}
}
}
]
}
]
}
}Modified at 2026-06-11 07:20:48